Revision history for perl distribution OpenAPI-Client 1.09 2026-06-04T22:34:00 - Fix "Use of uninitialized value $name" warning and dropped query parameters for object parameters with style "deepObject", or "form" with explode jhthorsen/json-validator#282 Contributor: Veesh 1.08 2026-06-04T11:09:00 - Reformulations in the POD documentation (#45) Contributor: Laurent Dami - Autogenerated operation_id #46 Contributor: Askar Timirgazin 1.07 2022-10-26T22:31:59 - No need to run t/00-project.t on install #40 1.06 2022-09-11T09:05:17 - Fix "Use of uninitialized value" warning - Specified Perl version - Updated basic repository files - Updated contributors list 1.05 2022-08-17T09:19:00+0900 - Add support for "collectionFormat" for query params #38 1.04 2022-06-03T09:56:54+0900 - Allow inheritance and roles to be applied before new() #35 #37 Contributor: Veesh Goldman 1.03 2021-10-02T09:27:11+0900 - Fix documentation issues regarding "base_url" #33 - Fix "mojo openapi ..." with 3.0.x spec - Changed "mojo openapi -I" to also be able to dump the whole spec (bundled) 1.02 2021-08-28T16:49:50+0200 - Add support for kebab case in path templating #32 Contributor: Roy Storey 1.01 2021-06-17T12:45:28+0900 - Fix generating correct base URL for OpenAPIv3 schemas 1.00 2021-02-23T15:25:00+0900 - Updated to use new JSON::Validator schema API - Add support for JSON::Validator::Schema::OpenAPIv3 - Removed pre_processor() 0.25 2020-06-30T18:45:37+0900 - Fix setting correct request method on client errors 0.24 2019-05-05T14:36:11+0700 - Fix t/command-local-with-ref.t 0.23 2019-05-05T14:13:14+0700 - Add documentation for option --information|-I - Fix deprecation warning for JSON::Validator->coerce(1) #17 - Fix printing YAML::XS::Boolean as "false" and "true" in dumped documentation - Printed documentation has $ref resolved Can be turned off with JSON_VALIDATOR_REPLACE=0 0.22 2019-01-25T14:45:56+0900 - Updated documentation to use $client instead of $self 0.21 2018-10-03T16:19:00+0900 - Fix failing tests after Mojolicious::Plugin::OpenAPI 2.00 #15 0.20 2018-09-30T22:04:20+0900 - Fix skip tests when getting "Service Unavailable" 0.19 2018-09-26T13:56:14+0900 - Skip tests when getting "Service Unavailable" 0.18 2018-09-02T14:13:51+0200 - Add "after_build_tx" event - Add "opeartionId_p" methods for promise based API 0.17 2018-08-02T16:00:20+0800 - Fix duplicate keys in test #13 0.16 2018-07-06T16:08:35+0800 - Fix "host" can contain port #12 0.15 2018-02-15T22:35:36+0100 - Require JSON::Validator 2.03 0.14 2017-12-23T17:10:22+0100 - Add call_p() that returns a Mojo::Promise 0.13 2017-12-11T19:04:35+0100 - Add default coercion to input parameters - Add call() for calling "invalid" operationIds names - Fix "openapi" client when printing data structures #8 0.12 2017-12-09T11:15:28+0100 - Bumping dependencies 0.11 2017-12-08T14:57:01+0100 - Fix openapi command will not try to decode empty strings #5 Contributor: Ed J 0.10 2017-11-27T18:01:50+0100 - Can resolve $ref in spec - Add support for inheriting "parameters" 0.09 2017-10-04T18:44:23+0200 - Add pre_processor() which can be used to manipulate the request #2 0.08 2017-10-03T11:02:55+0200 - Improved building default base_url() #1 0.07 2017-08-22T21:05:46+0200 - Try to make reading from STDIN a bit more robust 0.06 2017-08-21T09:14:23+0200 - Add validator() method - Add "mojo openapi spec.json -I operationId" - Will list available operationIds when no operationId is specified 0.05 2017-08-20T11:18:54+0200 - Forgot to bump JSON::Validator to 1.01 0.04 2017-08-19T23:05:26+0200 - Fix "mojo openapi" against online resources 0.03 2017-08-19T22:39:33+0200 - Add "mojo openapi" command - Add support for running against local app - Removed local_app() method 0.02 2017-08-19T10:59:07+0200 - Fix validation of body parameters 0.01 2017-08-18T19:30:32+0200 - Converted Swagger2::Client to OpenAPI::Client - Marked as EXPERIMENTAL